Skip to main content
PATCH
/
import
/
destinations
/
{id}
Update import destination
curl --request PATCH \
  --url https://api.prequel.co/import/destinations/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "destination": {
    "name": "<string>",
    "type": "webhook_record",
    "record_schema": "<unknown>",
    "webhook_record": {
      "max_records_per_minute": 123,
      "max_concurrency": 123
    },
    "webhook_batch": {
      "format": "parquet",
      "max_size_per_batch": 123,
      "max_records_per_minute": 123,
      "max_concurrency": 123
    }
  }
}
'
{
  "status": "<string>",
  "data": {
    "destination": {
      "id": "<string>",
      "name": "<string>",
      "type": "<string>",
      "record_schema": "<unknown>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "webhook_record": {
        "request_template": {
          "method": "GET",
          "uri": "<string>",
          "headers": {},
          "body": "<string>"
        },
        "max_records_per_minute": 123,
        "max_concurrency": 123
      },
      "webhook_batch": {
        "request_template": {
          "method": "GET",
          "uri": "<string>",
          "headers": {},
          "body": "<string>"
        },
        "format": "<string>",
        "max_size_per_batch": 123,
        "max_records_per_minute": 123,
        "max_concurrency": 123
      }
    }
  },
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://import-docs.prequel.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Import Destination ID.

Query Parameters

force
boolean

Allow updating immutable fields in staging.

Body

application/json
destination
object
required

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required